package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class RemoteExceptionTaskDetailDTO {

    @Schema(description = "任务主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "26224")
    private Long id;

    @Schema(description = "车辆编号")
    private String robotNo ;

    @Schema(description = "图片附件RUL", example = "https://www.iocoder.cn")
    private String url;

    @Schema(description = "任务号")
    private String taskNo;

    @Schema(description = "异常信息")
    private String warnMsg;

}
