package cn.iocoder.yudao.module.system.api.remote.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;


@Data
public class RemoteRobotCameraDTO {
    @Schema(description = "摄像头位置(0:上, 1:左, 2:右, 3:下, 4:后)")
    private Integer cameraPosition;

    @Schema(description = "摄像头IP--长度20")
    private String cameraIp;

    @Schema(description = "摄像头端口--长度10")
    private String cameraPort;

    @Schema(description = "摄像头账号--长度30", example = "24863")
    private String cameraAccount;

    @Schema(description = "摄像头密码--长度40")
    private String cameraPassword;
}
