package cn.iocoder.yudao.module.system.controller.admin.bulletinboard.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;

@Data
@ToString(callSuper = true)
public class RobotElectricityLevelVO {
    @Schema(description = "AGV编号")
    private String robotNo;
    @Schema(description = "设备mac地址")
    private String macAddress;
    @Schema(description = "待命 0否 1是")
    private Integer standby = 0;
    @Schema(description = "任务中 0否 1是")
    private Integer inTask = 0;
    @Schema(description = "锁定 0否 1是")
    private Integer doLock = 0;
    @Schema(description = "离线 0否 1是")
    private Integer offline = 0;
    @Schema(description = "充电中 0否 1是")
    private Integer charge = 0;
    @Schema(description = "故障 0否 1是")
    private Integer fault = 0;
    @Schema(description = "电量")
    private String batSoc;
}
