package cn.iocoder.yudao.module.system.controller.admin.cycle.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import javax.validation.constraints.*;

@Schema(description = "管理后台 - 循环任务点位新增/修改 Request VO")
@Data
public class TaskCycleSaveReqVO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "9553")
    private Long id;

    @Schema(description = "机器人任务主表id", example = "2231")
    private Long robotTaskId;

    @Schema(description = "ware_position_map_item的id", example = "923")
    private Long mapItemId;

}