package cn.iocoder.yudao.module.system.controller.admin.path.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class GraphMatchDataDTO {
    @Schema(description = "车辆编号")
    private String robotNo;

    @Schema(description = "true表示匹配成功， false表示匹配失败")
    private Boolean isMatched;

    @Schema(description = "LINE表示匹配到线段，NODE表示匹配到节点")
    private String matchedType;

    @Schema(description = "匹配到的线段或者节点的snowflake")
    private String matchedId;
}
