package cn.iocoder.yudao.module.system.controller.admin.positionmap.dto;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;

@Data
public class PositionChangePointBindingDTO {

    @Schema(description = "主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31007")
    private Long id;

    @Schema(description = "另一个区域变更点的点位自增排序")
    private Long sortNum;

    @Schema(description = "另一个区域变更点的主键ID", requiredMode = Schema.RequiredMode.REQUIRED, example = "31007")
    private Long pointId;

}
