package cn.iocoder.yudao.module.system.service.robot.pathplanning;

import cn.iocoder.yudao.module.mqtt.api.path.task.TaskRobotNoLimittationAreaDTO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotChargeLogDO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotInformationDO;
import cn.iocoder.yudao.module.system.dal.dataobject.robot.RobotTaskDetailDO;

import java.time.LocalDateTime;
import java.util.List;
import java.util.Map;

public interface RobotPathPlanningService {
    void sendTaskToPP();

    void sendChargeTaskToPP(List<RobotChargeLogDO> logs,
                            List<RobotTaskDetailDO> taskDetailDOS,
                            List<RobotInformationDO> robots);

    List<TaskRobotNoLimittationAreaDTO> getRobotNoLimitationArea(List<RobotInformationDO> robots);
}
